[PC-BSD Commits] r1721 - pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Sun Apr 13 08:37:16 PDT 2008
Author: kris
Date: 2008-04-13 08:37:16 -0700 (Sun, 13 Apr 2008)
New Revision: 1721
Modified:
pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ExtractTar.sh
pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
Log:
Apply fixes to add procfs to 1.5 branch also
Modified: pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ExtractTar.sh
===================================================================
--- pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ExtractTar.sh 2008-04-13 15:36:14 UTC (rev 1720)
+++ pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ExtractTar.sh 2008-04-13 15:37:16 UTC (rev 1721)
@@ -39,7 +39,10 @@
# Enable the linprocfs support
echo "linprocfs /compat/linux/proc linprocfs rw 0 0" >> /mnt/etc/fstab
+# Enable the procfs since Policy Kit needs it
+echo "proc /proc procfs rw 0 0" >> /mnt/etc/fstab
+
# Remove the lp /usr/bin files for cups to work properly
#rm /mnt/usr/bin/lp >/dev/null 2>/dev/null
#rm /mnt/usr/bin/lpr >/dev/null 2>/dev/null
Modified: pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
===================================================================
--- pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh 2008-04-13 15:36:14 UTC (rev 1720)
+++ pcbsd/branches/1.5/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh 2008-04-13 15:37:16 UTC (rev 1721)
@@ -164,7 +164,14 @@
echo "avahi:*:558:" >> /mnt/etc/group
fi
+cat /mnt/etc/fstab | grep '/proc' >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+ # Enable the procfs since Policy Kit needs it
+ echo "proc /proc procfs rw 0 0" >> /mnt/etc/fstab
+fi
+
# Reset the LANG stuff
MM_CHARSET="UTF-8" ; export MM_CHARSET
LANG="en_US.UTF-8" ; export LANG
More information about the Commits
mailing list